Bug 480254 - Review Request: deletemail - A non-interactive tool for deleting mails
Review Request: deletemail - A non-interactive tool for deleting mails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 19:05 EST by Fabian Affolter
Modified: 2009-03-04 11:25 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.5-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 11:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-15 19:05:20 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/deletemail.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/deletemail-0.5-1.fc9.src.rpm

Project URL: http://www.jhweiss.de/software/deletemail.html

Description:
deletemail is a non-interactive tool for removing mail which is older
than a configurable number of days from one or more IMAP mailboxes. By
default, mail which is not marked as seen on the server will not be
deleted. If, for example, fetchmail is used for receiving mail from an
IMAP server, deletemail might be useful, since fetchmail deletes mail
either immediately or not at all. Thus, you could use fetchmails keep
option (so that fetchmail never deletes anything) and let deletemail
handle the removal of mail. Currently, the IMAP4 and IMAP4rev1 protocols
are supported, optionally using SSL/TLS for secure IMAP connections.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1056944

rpmlint output:
[fab@laptop024 i386]$ rpmlint deletemail*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint deletemail-0.5-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jason Tibbitts 2009-02-06 19:11:56 EST
This is tiny and it might be useful, so I'll take a look.

COPYING does indeed contain an MIT license, and many of the source files do as well, but a couple (strcasestr.c, strncasecmp.c) carry the BSD license.  However, it doesn't seem as though those two source files are used when building on Linux, and so the resulting package I believe still has the MIT license as you have indicated, so that's OK.

Honestly I don't see anything else to comment on.

* source files match upstream.  sha256sum:
   25600727a3fba9eb4e97762e0f675a2fb82e6eec454d74761525fd8c11fe8468  
   deletemail-0.5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   deletemail = 0.5-1.fc11
   deletemail(x86-64) = 0.5-1.fc11
  =
   libcrypto.so.8()(64bit)
   libssl.so.8()(64bit)

* I tested the package and it seems to work as advertised.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Fabian Affolter 2009-02-07 16:35:27 EST
New Package CVS Request
=======================
Package Name: deletemail 
Short Description: A non-interactive tool for deleting mails
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-02-08 17:01:18 EST
cvs done.
Comment 5 Fedora Update System 2009-03-04 11:25:23 EST
deletemail-0.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-03-04 11:25:38 EST
deletemail-0.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.